View Issue Details

IDProjectCategoryView StatusLast Update
0005206Kali Linux[All Projects] Kali Package Bugpublic2019-01-15 14:41
ReporterpryonAssigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version 
Summary0005206: *2john utilities no longer available
DescriptionWith the latest kali upgrade, all *2john tools (zip2john, keepass2john, etc.) have been replaced with a symlink to the john binary and the original tools can no longer be used.

Expected behavior:
root@kali:~# ./keepass2john
Usage: %s [-i <inline threshold>] [-k <keyfile>] <.kdbx database(s)>
Default threshold is 1024 bytes (files smaller than that will be inlined)

Actual behavior:
root@kali:~# ./keepass2john
[usage of john]

root@kali:~# uname -a
Linux kali 4.19.0-kali1-amd64 0000001 SMP Debian 4.19.13-1kali1 (2019-01-03) x86_64 GNU/Linux
root@kali:~# lsb_release -a
No LSB modules are available.
Distributor ID: Kali
Description: Kali GNU/Linux Rolling
Release: 2019.1
Codename: n/a
root@kali:~# apt show john
Package: john
Version: 1.8.0.13-jumbo-1-0kali3
Priority: optional
Section: admin
Maintainer: Kali Developers <devel@kali.org>
Installed-Size: 52.1 MB
Depends: libc6 (>= 2.14), libgmp10, libgomp1 (>= 4.9), libssl1.1 (>= 1.1.0), zlib1g (>= 1:1.1.4), john-data (= 1.8.0.13-jumbo-1-0kali3)

Activities

pryon

2019-01-11 19:09

reporter  

vAvlbOZ.png (131,412 bytes)
vAvlbOZ.png (131,412 bytes)

sbrun

2019-01-14 14:41

manager   ~0010208

zip2john, keepass2john, etc. were already symlinks to the john binary.

After checking keepass2john and some other commands are now standalone programs and should be installed accordingly.
But zip2john must be a symlink to john binary. And it should work properly with the current version.

pryon

2019-01-14 18:18

reporter   ~0010209

zip2john indeed does work with the current version, I somehow missed that when I was checking the tools - sorry, my bad.

sbrun

2019-01-15 14:41

manager   ~0010218

fixed in version 1.8.0.13-jumbo-1-0kali4

Issue History

Date Modified Username Field Change
2019-01-11 19:09 pryon New Issue
2019-01-11 19:09 pryon File Added: vAvlbOZ.png
2019-01-14 14:41 sbrun Assigned To => sbrun
2019-01-14 14:41 sbrun Status new => acknowledged
2019-01-14 14:41 sbrun Note Added: 0010208
2019-01-14 18:18 pryon Note Added: 0010209
2019-01-15 14:41 sbrun Status acknowledged => resolved
2019-01-15 14:41 sbrun Resolution open => fixed
2019-01-15 14:41 sbrun Note Added: 0010218